# cloudjob api v1\_part1\_rc1 简测文档 #

## 说明 ##
本次测试仅检验通不通，是否有不幂等之类的明显问题，是否风格不适合移动端。不涉及业务联调

原始文档：[http://api.vsochina.com/apidoc/](http://api.vsochina.com/apidoc/)

appid和token不再做说明，暂使用以下进行测试：

appid：
> 1012

token：
>jYzWaIOEaRCiipdNSjI4BDlmZWRkY2VmMmMwNWQxODhhNDgyOTljM2ZjZGY4N2Nj

关于vso\_sess：</br>
发起登录时，当前时间（时间戳）为X</br>
自动登录：vso\_sess = X + 1209600</br>
非自动登录：vso\_sess = X + 1800</br>

关于接口业务成功和失败：</br>
已升级接口，返回数据基本结构升级为：

    {
    "ret":123
    "status": enum [0|1]//0 for failure, 1 for success
    "message":"adada"
    "data":
    }


## 接口列表 ##

- 昵称是否可用	
- 根据行业获取人才标签列表	
- 修改用户信息	
- 身份证号校验	
- 【实名认证】获取认证信息	
- 【实名认证】提交认证	
- 【实名认证】身份证号是否认证过	
- 【企业认证】获取认证信息	
- 【企业认证】提交认证	
- 【企业认证】身份证号是否认证过	
- 【手机绑定】获取认证信息
- 【注册】手机号是否可用
- 【企业认证】重新认证	
- 【意见反馈】提交反馈	




部分线上已有的，我去掉了修改过的:</br>

- 获取用户认证状态列表
- 关注用户
- 取消关注用户
- 我的关注列表
- 获取用户关注人才总数
- 获取用户粉丝列表
- 文件上传
- 发现关注
- 发送手机验证码(mobile)，新版
- 验证手机验证码
- 根据行业获取人才标签
- 三方信息是否已经存在
- 三方通用登录，不存在时注册
- 重置登录密码，不需要原密码，支持用户名
- 重置登录密码，不需要原密码，支持账号
- 手机号注册用户新版
- 查询用户基本且不敏感信息
- 修改用户基本信息
- 查询用户基础信息
- 根据第三方信息获取用户信息
- 用户登录（通用），新版
- 用户登出

## 昵称是否可用 ##
TODO **暂时没有功能需求**
https://api.vsochina.com/user/auth/is-available-nickname

## 根据行业获取人才标签列表 ##
TODO **暂时用不到**
https://api.vsochina.com/lable/default/get-lable-by-industry?indus_pid=1008

## 修改用户信息 ##
**暂时没有功能需求**
https://api.vsochina.com/user/info/update-user-basic-info

## 身份证号校验 ##
> GET</br>
> https://api.vsochina.com/user/auth/is-id-format

参数：

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **id	String	
必须，身份证号（支持15位，18位，香港，澳门，台湾）**

- lang	String	
可选，语言，默认zh-CN
zh-CN => 简体中文
zh-TW => 繁体中文
en => 英文

返回格式：

    HTTP/1.1 200 OK
    {
      "ret": 0,
      "message": "成功",
      "data": null,
    }

返回码表 0 合法

    错误码 => 错误信息：
    "0" => "成功", // 身份证号合法
    "13165" => "身份证号不合法"

## 【实名认证】获取认证信息 ##
> GET</br>
> https://api.vsochina.com/auth/realname/view

参数:

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **username	String	
必须，用户名**

返回格式：

    HTTP/1.1 200 OK
    {
      "ret": 13820,
      "message": "实名认证信息查询成功",
      "data": {
    "username": "admin", // 用户名
    "id_card": "330702197108020812", // 身份证号
    "id_pic": "http://account.vsochina.com/upload//2015/0115/300/1421299869.jpg",// 身份证正面图片
    "id_pic_2": "http://account.vsochina.com/upload//2015/0115/3f9/1421299869.jpg",  // 身份证反面图片
    "id_pic_3": "http://account.vsochina.com/upload//2015/0115/3f9/1421299869.jpg",  // 手持证照片
    "realname": "张三",  // 真实姓名
    "auth_status": "1",  // 认证状态（0=>待审核，1=>通过，2=>驳回）
    "start_time": "1421300108",  // 认证时间
    "auth_area": 0,  // 认证地区（0=>大陆，1=>台湾，2=>香港，3=>澳门）
    "validity_s_time": "1465920000", // 证件有效期开始时间
    "validity_e_time": "1467216000", // 证件有效期结束时间
    "nopass_des": "信息不全",// 不用过审核说明
      }
    }

实测，当没有进行认证时，返回正确ret，但是data为空,无已认证账号

    {
      "ret": 13820,
      "message": "实名认证信息查询成功",
      "data": {}
    }

TODO
==
已认证账号测试

返回码表： 13820 成功
    
    错误码 => 错误信息：
    "13820" => "实名认证信息查询成功"
    "13862" => "数据不存在"

## 【实名认证】提交认证 ##

> 添加实名认证记录</br>
> **必须先提交图片到服务端，否则无法请求成功**</br>
> POST</br>
> https://api.vsochina.com/auth/realname/create

参数

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **username	String	
必须，用户名**
- **realname	String	
必须，真实姓名，2-4个中文字**
- **id_card	String	
必须，身份证号**
- **id_pic	String	
必须，身份证复印件正面，图片路径**
- **id_pic_2	String	
必须，身份证复印件反面，图片路径**
- **id_pic_3	String	
必须，手持证照片，图片路径**

- validity_s_time	Number	
可选，证件有效期开始时间，时间戳
- validity_e_time	Number	
可选，证件有效期结束时间，时间戳

参数格式:

    {
      "appid": "XXX",
      "token": "XXX",
      "username": "admin",
      "realname":"姓名",
      "id_card":"440901197709194316",
      "id_pic":"",
      "id_pic_2":""
    }

返回说明:

    HTTP/1.1 200 OK
    {
      "ret": 13160,
      "message": "实名认证添加成功",
      "data": true
    }

## 【实名认证】身份证号是否认证过 ##
> GET</br>
> https://api.vsochina.com/auth/realname/check-authed

参数:

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **id_card	String	
必须，身份证号**

- username	String	
可选，用户名

返回说明:

    HTTP/1.1 200 OK
    {
      "ret": 0,
      "message":"成功",
      "data": null
    }
以上是没有进行过认证的身份证测试结果



返回码表： 0 成功

    错误码 => 错误信息：
    "13162" => "缺少身份证号",
    "13165" => "身份证号不合法",
    "13168" => "身份证号被占用",
    "0" => "成功"

## 【企业认证】获取认证信息 ##
> 企业认证信息查询</br>
> GET</br>
> https://api.vsochina.com/auth/enterprise/view

参数

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **username	String	
必须，用户名**

返回格式：
    
    HTTP/1.1 200 OK
    {
      "ret": 0,
      "message": "成功",
      "data": {
    "username": "86817820",  // 用户名
    "auth_status": "0",  // 认证状态（0=>待审核，1=>通过，2=>驳回）
    "company": "测试企业名称",   // 企业名称
    "legal": "测试企业", // 企业法人
    "legal_id_card": null,   // 法人身份证号
    "licen_num": "34532453453",  // 注册号
    "licen_pic": "https://account.vsochina.com/upload/2016/0613/799/1465783713.jpg", // 营业执照
    "turnover": "测试企业",  // 主营范围
    "telephone": "", // 联系电话
    "area_prov": "湖北", // 企业所属省
    "area_city": "仙桃", // 企业所属市
    "area_dist": "仙桃", // 企业所属区
    "ent_start_time": "449942400",   // 成立日期
    "ent_end_time": "253373932800",  // 营业截止日期
    "residency": "山西省,阳泉市",// 用户所属地区
    "indus_pid": 905,// 用户所属行业编号
      }
    }

实测未进行企业认证的：

    {
      "ret": 0,
      "message": "成功",
      "data": null
    }

TODO
==
已认证的账号测试

## 【企业认证】提交认证 ##
TODO
***未测***
==
> 添加企业认证记录
POST</br>
https://api.vsochina.com/auth/enterprise/create

参数:

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **username	String	
必须，用户名**
- **company	String	
必须，企业名称**
- **licen_num	Number	
必须，注册号码**
- **licen_pic	String	
必须，营业执照，图片地址**

- legal	String	
可选，法定代表人
- turnover	String	
可选，主营范围
- ent\_start\_time	Number	
可选，成立日期，时间戳
- ent\_end\_time	Number	
可选，营业截止日期，时间戳
- area\_prov	String	
可选，企业所属省，如 江苏
- area_city	String	
可选，企业所属市，如 苏州
- area_dist	String	
可选，企业所属区，如 虎丘区
- licen_address	String	
可选，营业执照登记地址，如 江苏省苏州市虎丘区科灵路78号
- **auth_area	Number	
可选，认证地区（0=>大陆，1=>台湾，2=>香港，3=>澳门，默认0）**

参数格式:

    {
      "appid": "XXX",
      "token": "XXX",
      "username": "admin",
      "company": "公司名称",
      "licen_num": "123456789",
      "license_pic": ""
    }

返回说明:

    HTTP/1.1 200 OK
    {
      "ret": 13830,
      "message": "企业认证添加成功",
      "data": true
    }

返回码表： 13830 成功

    错误码 => 错误信息：
    "9012" => "缺少用户名",
    "13831" => "缺少企业名称",
    "13832" => "缺少企业营业执照号码",
    "13833" => "缺少企业营业执照图片",
    "13830" => "提交企业认证申请成功",
    "13834" => "提交企业认证申请失败"

## 【企业认证】身份证号是否认证过 ##
> 身份证号是否申请了企业认证</br>
> GET</br>
> https://api.vsochina.com/auth/enterprise/check-authed

参数：

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **id_card	String	
必须，身份证号**

- username	String	
可选，用户名


返回说明:

    HTTP/1.1 200 OK
    {
      "ret": 0,
      "message":"成功",
      "data": null
    }

实测未申请的：

    {
      "ret": 0,
      "message": "成功",
      "data": null
    }

返回码表： 0 成功

    错误码 => 错误信息：
    "13162" => "缺少身份证号",
    "13165" => "身份证号不合法",
    "13168" => "身份证号被占用",
    "0" => "成功"

## 【手机绑定】获取认证信息 ##
> GET</br>
> 获取手机绑定信息</br>
> https://api.vsochina.com/auth/mobile/view

参数:

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **username	String	
必须，用户名**

返回说明:

    HTTP/1.1 200 OK
    {
      "ret": 13240,
      "message":"手机认证信息查询成功",
      "data": {
    "username": "admin",  // 用户名
    "mobile": "18312345678",  // 手机号
    "auth_status": 1, // 认证状态（0=>待审核，1=>通过，2=>驳回）
    "auth_time": 1429586008   // 认证时间
      }
    }

实测字段一致，使用手机号注册的账户默认已经手机授权。

## 【注册】手机号是否可用 ##
> GET</br>
> https://api.vsochina.com/user/auth/is-available-mobile

参数：

- appid
- token
- mobile

返回说明:
    
    HTTP/1.1 200 OK
    {
      "ret": 0,
      "message":"成功",
      "data": null
    }

返回码对照表：

    错误码 => 错误信息：
    "13181" => "缺少手机号",
    "13182" => "手机号不合法",
    "13183" => "手机号被占用",
    "0" => "成功"

## 【企业认证】重新认证 ##
未测
==
https://api.vsochina.com/auth/enterprise/update

## 【意见反馈】提交反馈 ##
> POST
> https://api.vsochina.com/tools/feedback/create

参数：

- **appid	String	
必须，全局通用appid**
- **token	String	
必须，全局通用token**
- **content	String	
必须，反馈内容，意见or建议**

- username	String	
可选，反馈人用户名
- mobile	String	
可选，手机号（联系方式之一，mobile或email二选一）
- email	String	
可选，邮箱（联系方式之一，mobile或email二选一）
- **file	String	
可选，附件编号，逗号分隔的字符串，附件请走接口上传**
- **phone_model	String	
可选，手机型号**
- **system_model	String	
可选，系统型号**
- **version	String	
可选，版本**
- **site	Number	
可选，渠道来源** *1009 => app，pan*
- lang	String	
可选，语言，默认zh-CN
zh-CN => 简体中文
zh-TW => 繁体中文
en => 英文

返回说明:

    HTTP/1.1 200 OK
    {
      "ret": 10920,
      "message": "提交意见反馈成功",
      "data": null
    }

返回码表： 10920 成功

    错误码 => 错误信息：
    "10921" => "缺少反馈内容"
    "10922" => "缺少联系方式"
    "10920" => "提交意见反馈成功"
    "10923" => "提交意见反馈失败"

----------

## 获取用户认证状态列表 ##
> GET</br>
> https://api.vsochina.com/auth/record/get-user-auth-status-list

参数:

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **username	String	
必须，用户名**

返回说明:

    HTTP/1.1 200 OK
    {
      "ret": 13220,
      "message": "认证信息查询成功",
     "data": {
     "bank_auth_status": 0,//支付认证 (0:未认证,1认证通过)
     "email_auth_status": 0,  //邮箱认证
     "enterprise_auth_status": 1, //企业认证
     "mobile_auth_status": 1, //手机认证
     "realname_auth_status": 0, //实名认证
     "university_auth_status": 0//校园认证
     }
    }

## 关注用户 ##
> POST</br>
> https://api.vsochina.com/favor/talent/create-favor-talent

参数:

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **username	String	
必须，关注人用户名** *操作人*
- **obj_name	String	
被关注人用户名(可以是字符串,可以是数组)**

参数格式:

    {
     "appid": "XXX",
     "token": "XXX",
     "username": "admin",
     "obj_name": "test"
     }

返回说明:

    HTTP/1.1 200 OK
    {
     "ret":13380,
     "message":"关注成功",
     "data":true
     }

## 取消关注用户 ##
> POST</br>
> https://api.vsochina.com/favor/talent/delete-favor-talent

参数:

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **username	String	
必须，关注人用户名** *操作人*
- **obj_name	String	
被关注人用户名**

参数格式:

    {
     "appid": "XXX",
     "token": "XXX",
     "username": "admin",
     "obj_name": "test"
     }

返回说明:

    HTTP/1.1 200 OK
    {
     "ret":13400,
     "message":"取消关注成功",
     "data":true
     }

## 我的关注列表 ##
> 用户关注其他人才的列表</br>
> POST</br>
> https://api.vsochina.com/favor/talent/get-user-favor-talent-list

参数:

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **username	String	
必须，用户名**

- offset	Number	
可选,分页查询偏移量
- limit	Number	
可选 ，每页限制数据条数

参数格式:

    {
      "appid": "XXX",
     "token": "XXX",
     "username": "admin",
     "offset":0,
     "limit":10
     }

返回说明:

    HTTP/1.1 200 OK
    {
      "ret": 13340,
     "message": "我的关注列表查询成功",
     "data":[
     {
     "obj_name": "86332295",
     "on_date": "1433221423",
     "nickname": "4214124215215",
     "avatar": "http://www.vsochina.com/data/avatar/default/man_small.jpg",
     "indus_name": "",
     "already_favor": true,
     "user_type" : 1,
     "user_type_str" : "个人"
     },
     {
     "obj_name": "86183084",
     "on_date": "1415955772",
     "nickname": "UFT1",
     "avatar": "http://www.vsochina.com/data/avatar/default/man_small.jpg",
     "indus_name": "平面设计",
     "already_favor": true,
     "user_type" : 2,
     "user_type_str" : "企业"
     },
     {
     "obj_name": "86123587",
     "on_date": "1415934883",
     "nickname": "一二三四五六七八九十一二三四五六七八九十",
     "avatar": "http://qzapp.qlogo.cn/qzapp/101035250/543071DC14FEFD26734B084559ABDCDB/30",
     "indus_name": "网站开发",
     "already_favor": true,
     "user_type" : 1,
     "user_type_str" : "个人"
     }
     ]
    }

实测未关注的情况下
    {
      "ret": 13340,
      "message": "我的关注列表查询成功",
      "data": {}
    }
TODO关注情况下：

## 获取用户关注人才总数 ##
> 用户关注其他人才的数量</br>
> POST</br>
> https://api.vsochina.com/favor/talent/get-user-favor-talent-num

参数:

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **username	String	
必须，用户名**

参数说明:

    {
      "appid": "XXX",
     "username": "admin"
     }

返回说明:

    HTTP/1.1 200 OK
    {
      "ret": 13360,
     "message":"用户关注数量查询成功",
     "data":1
     }

## 获取用户粉丝列表 ##
> POST</br>
> https://api.vsochina.com/favor/talent/get-user-fan-list

参数:

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **username	String	
必须，用户名**

- offset	Number	
可选,分页查询偏移量
- limit	Number	
可选 ，每页限制数据条数

参数格式:

    {
      "appid": "XXX",
     "token": "XXX",
     "username": "admin",
     "offset":0,
     "limit":10
     }

返回说明:

    HTTP/1.1 200 OK
    {
      "ret": 13320,
     "message": "我的粉丝列表查询成功",
     "data": [
     {
     "username": "Sherry",
     "on_date": "",
     "nickname": "Sherry",
     "avatar": "http://www.vsochina.com/data/avatar/system/6_middle.jpg",
     "indus_name": "软件开发",
     "already_favor": true
     },
     {
     "username": "86193382",
     "on_date": "",
     "nickname": "snoopy1",
     "avatar": "http://www.vsochina.com/data/avatar/default/man_small.jpg",
     "indus_name": "配音",
     "already_favor": false
     }
     ]
    }

## 文件上传 ##
未测
==


> POST</br>
> https://api.vsochina.com/file/index/upload

参数:

- **appid	String	
必须，应用ID，由系统分配，固定的**
- **token	String	
必须，通用**
- **username	String	
必须，用户名**
- **attachment	String	
必须，附件文件**
- **objtype	String	
必须，附件对象类型(参考本接口下面的对象说明)**

	- 'task' => '任务/需求'
	- 'service' => '服务'
	- 'work' => '作品/稿件'
	- 'user_cert' => '用户认证'
	- 'space' => '用户资料'
	- 'agreement' => '合同'
	- 'resource' => '资源'
	- 'rc' => '人才库'
	- 'maker' => '创客空间'
	- 'default' => '其它'

- size	String	
可选，需要生成的缩略图尺寸，数组形式

参数格式：

    {
      "appid": "XXX",
      "token": "XXX",
      "username": "zhou88",
      "attachment": "a.jpg",
      "objtype": "task",
    }

返回格式：

    HTTP/1.1 200 OK
    {
      "ret": 13900,
      "message": "文件上传成功",
      "data": {
    "file_id": 26926,// 文件编号
    "file_url": "https://api.vsochina.com/data/uploads/2015/09/22/14878899555600a5c4a4bb1.jpg"   // 文件链接
      }
    }

返回码表： 13900 上传成功

    错误码 => 错误信息
    "13903" => "文件上传失败"
    "9012" => "缺少用户名"
    "13901" => "缺少对象类型"
    "13902" => "缺少上传文件"
    "13904" => "文件格式错误"
    "13900" => "文件上传成功"

## 发现关注 ##
> GET</br>
> https://api.vsochina.com/member/member/favor

参数:

- **appid	String	
必须，全局通用appid**
- **token	String	
必须，全局通用token**
- **username	String	
用户名**

返回格式：

    HTTP/1.1 200 OK
    {
    "ret": 0,
    "message": "成功",
    "data": {
    "work": [
    {
    "work_id": "206",
    "uid": "5249",
    "work_url": "http://image.baidu.com/detail/newindex?col=%E6%98%8E%E6%98%9F&tag=%E6%9D%A8%E5%B9%82&pn=2&pid=9560710956&aid=&user_id=850498275&setid=143575&sort=0&ftag1=&ftag2=&from=1",
    "work_name": "222",
    "on_time": "1414144435",
    "description": "描述",
    "sharenum": 2,
    "likenum": 3
    }
    ],
    "proj": [
    {
    "username": "86103087",
    "nickname": "86103087",
    "avatar": "http://www.vsochina.com//data/avatar/001/00/45/03_avatar_middle.jpg",
    "proj_icon": "http://www.vsochina.com/data/avatar/default/man_8_big.jpg",
    "proj_title": "项目1",
    "proj_link": "https://cz.vsochina.com/project/home/P21B814BDDB8B1749F2862302278321CD"
    }
    ],
    "task": [
    {
    "indus_id": 236,
    "indus_pid": 234,
    "model_id": "单人悬赏",
    "task_title": "蘑菇街评论~~只要有蘑菇街帐号就能做~~1元一句话",
    "task_desc": "类别:\r\n 要求:下面链接的蘑菇街商品,发起一句话评论,字数不少于十个字~~~\r\n\r\n内容为:质量好,款式好,上脚舒适,性价比高等~~~\r\n\r\n发好切图~~~只需要20个\r\n\r\n先到先提,后面的做废~~~~\r\n\r\nhttp://www.mogujie.com/note/12n04h4?showtype=good&goodsid=1khr3g",
    "username": "php1",
    "start_time": 1332584117,
    "sub_time": 1346134322,
    "end_time": 1346134322,
    "sp_end_time": 1346220722,
    "task_cash": 100,
    "real_cash": 80
    }
    ]
    }
      }

## 发送手机验证码(mobile)，新版 ##

https://api.vsochina.com/message/mobile/send-message-by-mobile

TODO 
== 
未测

## 验证手机验证码 ##

https://api.vsochina.com/message/mobile/check-valid-code-by-mobile

TODO
==
未测

## 三方信息是否已经存在 ##
> GET</br>
> https://api.vsochina.com/user/auth/is-available-oauth

参数:

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **via	String	
必须，三方通道 *（qq；weibo；weixin；facebook）***
- **openid	String	
必须，身份验证**

- lang	String	
可选，语言，默认zh-CN
zh-CN => 简体中文
zh-TW => 繁体中文
en => 英文

返回格式：

    HTTP/1.1 200 OK
    {
      "ret": 0,
      "message": "成功",
      "data": null,
    }


返回码表： 0 三方信息存在，即和已有的账号绑定

    错误码 => 错误信息：
    "14121" => "缺少三方通道"
    "14122" => "缺少三方验证"
    "0" => "成功"
    "14124" => "三方身份验证不存在"


> 注意，ret=0代表用户存在，14124代表不存在

## 三方通用登录，不存在时注册 ##
> 需要三方账号</br>
> POST</br>
> https://api.vsochina.com/user/login/oauth

参数:

- **appid	String	
必须，全局通用appid**
- **token	String	
必须，全局通用token**
- **via	String	
必须，三方通道 *（qq；weibo；weixin；facebook）***
- **openid	String	
必须，身份验证**

- password	String	
可选，登录密码，明文，默认为空
- auto_login	String	
可选，是否自动登录
- screen_name	String	
可选，昵称，最长20
- image	String	
可选，头像，与平台头像不通用
- access_token	String	
可选，第三方返回的code
- location	String	
地理位置，如：江苏 苏州
- lang	String	
可选，语言，默认zh-CN
zh-CN => 简体中文
zh-TW => 繁体中文
en => 英文

参数格式:

    [
      "appid" => "XXX",
      "token" => "XXX",
      "via" => "qq",
      "openid" => ""
    ]

返回示例和返回说明:

    HTTP/1.1 200 OK
    {
    "ret": 13000,
    "message": "登录成功",
    "data": {
      "username": "admin",// 用户名
      "uid": "1", // 用户编号，uc数据库
      "reg_time": "1332580569",   // 注册时间，时间戳
      "indus_pid": null,  // 用户所属行业
      "residency": "",// 所在地
      "address": "江苏苏州苏州乐园",  // 详细地址
      "focus_num": "6",   // 粉丝数量，被关注次数
      "birthday": "464025600",
      "sex": "女",
      "isvip": null,
      "views": "650", // 用户被查看次数
      "summary": "",  // 用户简介
      "mobile": "15050431508",// 手机号
      "avatar": "http://static.vsochina.com/data/avatar/000/00/00/01_avatar_middle.jpg",  // 头像
      "vso_token": "2c79bf616ec12cc247a48482b022fe31", // redis中存储用户信息的key
      "isnewpwd": 2,  // 是否需要重置密码（1=>不需要，2=>需要），用于三方
    }
    }

实测： *以实际为准*

    {
      "ret": 13000,
      "message": "登录成功",
      "data": {
    "username": "86130962",
    "id": "11543",
    "nickname": "86130962",
    "email": "",
    "mobile": "",
    "status": "1",
    "password": "672430bf5ac362eeca84029134fbcda4",
    "logined": "1",
    "isnewpwd": "2",
    "avatar": "http://static.vsochina.com/data/avatar/000/01/15/43_avatar_middle.jpg",
    "uid": "11543",
    "vso_token": "dfb5795fe276e46ec36d133255cf42ad"
      }
    }

返回码表： 13000 登录成功

    错误码 => 错误信息：
    "14121" => "缺少三方通道"
    "14122" => "缺少身份验证"
    "14123" => "三方提供者非法"
    "13760" => "注册成功"
    "13761" => "注册失败"
    "9013" => "用户名不存在"
    "13003" => "账号不存在"
    "13000" => "登录成功"

## 重置登录密码，不需要原密码，支持用户名 ##
> POST</br>
> https://api.vsochina.com/user/safe/reset-password

参数：

- appid
- token
- username
String 必须，用户名
- password	String	
必须，新密码，明码

- lang	String	
可选，语言，默认zh-CN
zh-CN => 简体中文
zh-TW => 繁体中文
en => 英文

参数格式：

    [
      "appid" => "XXX",
      "token" => "XXX",
      "username" => "admin",
      "password" => "123456",
    ]

返回格式：

    HTTP/1.1 200 OK
    {
      "ret": 13280,
      "message": "登录密码修改成功",
      "data": true
    }

返回码表： 13280 成功

    错误码 => 错误信息：
    "13005" => "缺少账号",
    "13003" => "账号不存在",
    "9012" => "缺少用户名",
    "13282" => "缺少新登录密码",
    "9013" => "用户名不存在",
    "13280" => "登录密码修改成功",
    "13286" => "密码修改失败"


## 重置登录密码，不需要原密码，支持账号 ##
> POST
> https://api.vsochina.com/user/safe/reset-password-by-name

参数：

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **name	String	
必须，账号（用户名/手机号/邮箱）**
- **password	String	
必须，新密码，明码**

- lang	String	
可选，语言，默认zh-CN
zh-CN => 简体中文
zh-TW => 繁体中文
en => 英文

参数格式：

    [
      "appid" => "XXX",
      "token" => "XXX",
      "username" => "admin",
      "password" => "123456",
    ]

返回格式：

    HTTP/1.1 200 OK
    {
      "ret": 13280,
      "message": "登录密码修改成功",
      "data": true
    }
    
返回码表： 13280 成功

    错误码 => 错误信息：
    "13005" => "缺少账号",
    "13003" => "账号不存在",
    "9012" => "缺少用户名",
    "13282" => "缺少新登录密码",
    "9013" => "用户名不存在",
    "13280" => "登录密码修改成功",
    "13286" => "密码修改失败"

## 手机号注册用户 ##

> 新版</br>
> POST</br>
> https://api.vsochina.com/user/register/mobile

参数：

- **appid	String	
必须，全局通用appid**
- **token	String	
必须，全局通用token**
- **mobile	Number	
必须，手机号，必须是没注册过的**
- **password	String	
必须，登录密码，明文**

- user_type	Number	
可选，用户类型，1个人用户，2企业
- sitedomain	String	
可选，注册网站域名，默认是www，主站
- prom_username	Number	
可选，推广员用户名
- ip	String	
可选，
- lang	String	
可选，语言，默认zh-CN
zh-CN => 简体中文
zh-TW => 繁体中文
en => 英文

参数格式:

    [
      "appid" => "XXX",
      "token" => "XXX",
      "mobile" => 13800138000,
      "password" => 'dell_456',
    ]

返回示例和返回说明:

    HTTP/1.1 200 OK
    {
      "ret": 13760,
      "message": "注册成功",
      "data": {
           "uid": "1",
           "username": "admin",
           "nickname": "343445",
           "email": "",
           "mobile": "15050431508",
           "user_type": "1",
           "avatar": "http://static.vsochina.com/data/avatar/000/00/00/01_avatar_middle.jpg",
           "isnewpwd": 2,  // 是否需要重置密码（1=>不需要，2=>需要），用于三方
       }
    }

返回码表 13760 注册成功

    错误码 => 错误信息
    "13001" => "缺少密码",
    "13181" => "缺少手机号",
    "13182" => "手机号不合法",
    "13183" => "手机号被占用",
    "13760" => "注册成功",
    "13761" => "注册失败"

## 查询用户基本且不敏感信息 ##
> 用于其他用户查看</br>
> GET</br>
> https://api.vsochina.com/user/info/basic

参数:

- **appid	String	
必须，全局通用appid**
- **token	String	
必须，全局通用token**
- **username	String	
必须，用户帐号**

返回说明:

    HTTP/1.1 200 OK
    {
      "ret": 13020,
      "message": "查询用户资料成功",
      "data": {
    "uid": "1", // 用户编号（用户中心）
    "username": "admin",// 用户名
    "nickname": "343445",   // 昵称
    "email": "44897463@qq.com", // 邮箱
    "mobile": "15050431508",// 手机号
    "avatar": "http://static.vsochina.com/data/avatar/000/00/00/01_avatar_small.jpg",   // 用户头像
    "auth_realname_record": {   // 实名认证信息
      "auth_realname_id": "63",
      "uid": "1",
      "username": "admin",
      "realname": "杨旺",
      "id_card": "522635198409156290",
      "id_pic": "http://account.vsochina.com/upload//2015/0115/300/1421299869.jpg",
      "id_pic_2": "http://account.vsochina.com/upload//2015/0115/3f9/1421299869.jpg",
      "id_pic_3": null,
      "cash": "0.00",
      "start_time": "1421300108",
      "end_time": "1421300108",
      "auth_status": "1",
      "nopass_des": ""
    },
    "auth_enterprise_record": [],   // 企业认证信息
    "trans_count": 58,  // 交易量
    "focus_num": "3",   // 粉丝数
    "lable": "1223,dadsadsa,3333,木材质模板下载、"  // 标签
      }
    }

实际测试： *以实际为准*

    {
      "ret": 13020,
      "message": "查询用户资料成功",
      "data": {
    "uid": "10094",
    "username": "86757926",
    "nickname": "86757926",
    "email": null,
    "mobile": "13404298601",
    "user_type": "1",
    "status": "1",
    "isnewpwd": "1",
    "avatar": "http://static.vsochina.com/data/avatar/000/00/65/76_avatar_middle.jpg"
      }
    }


返回码表： 13020 成功

    错误码 => 错误信息：
    "9012" => "缺少用户名"
    "13020" => "查询用户资料成功"
    "9013" => "用户名不存在"

## 修改用户基本信息 ##
TODO
==
第一期暂时用不到
==
https://api.vsochina.com/user/info/update-user-basic-info 

## 查询用户基础信息 ##
> 用于注册用户自己查看</br>
> GET</br>
> https://api.vsochina.com/user/info/view

参数

- **appid	String	
必须，全局通用appid**
- **token	String	
必须，全局通用token**
- **username	String	
必须，用户帐号**



返回说明:

    HTTP/1.1 200 OK
    {
      "ret": "13020",
      "message": "查询用户资料成功",
      "data":{
    "uid": "1",
    "username": "admin",
    "nickname": "功夫熊猫",
    "truename": "王亚东",
    "mobile": "13533333333",
    "email": "44897463@qq.com",
    "qq": "81416773",
    "create_time": "1388974744",
    "sex": "2",
    "birthday": "568051200",
    "s_password": "SjNd0JzLHBUW/RXKiAUAUjLvZL/wsr8GFmvaJd4YVvRA=",
    "description": "",
    "balance": "1024792.47",
    "avatar": "http://www.vsochina.com/data/avatar/default/woman_small.jpg",
    "lable": "1223,dadsadsa,3333,木材质模板下载、",
    "focus_num": "2",
    "residency": "江苏省,苏州市,高新区",
    "address": "江苏苏州苏州乐园",
    "indus_pid": "1008",
    "isvip": 0,
    "auth_birthday": "19840915",
    "views": "646",
    "indus_name": "动漫制作",
    "praise_num": "3",
    "auth_constellation": "处女座",
    "auth_age_post": "80后",
    "auth_sex": "1",
    "signture": "123",
    "introduction": "
      }
    }

实际测试： *以实际测试为准*

    {
      "ret": 13020,
      "message": "查询用户资料成功",
      "data": {
    "uid": "10094",
    "username": "86757926",
    "nickname": "86757926",
    "truename": "",
    "mobile": "13404298601",
    "email": "",
    "qq": "",
    "create_time": "1445009711",
    "sex": "0",
    "birthday": "",
    "user_type": "1",
    "s_password": "Jz2/XbU+oBF6mQh8GCWmTxsnr8NS7ZNYOTiNtfajbXMs=",
    "description": "",
    "balance": "0.00",
    "credit": "100",
    "avatar": "http://static.vsochina.com/data/avatar/000/00/65/76_avatar_middle.jpg",
    "lable": "",
    "focus_num": 0,
    "residency": "",
    "address": "",
    "indus_pid": 0,
    "isvip": 0,
    "auth_birthday": "",
    "views": 0,
    "summary": "",
    "indus_name": "",
    "praise_num": 0,
    "auth_constellation": "",
    "auth_age_post": "",
    "auth_sex": "",
    "signture": "",
    "introduction": "",
    "task_pub_num": "0",
    "task_undertake_num": 0,
    "auth_realname_record": [],
    "auth_enterprise_record": [],
    "trans_count": 0
      }
    }

返回码表：13020 成功

    错误码 => 错误信息：
    "9012" => "缺少用户名"
    "9013" => "用户名不存在"
    "13020" => "查询用户资料成功"

## 根据第三方信息获取用户信息 ##
> GET</br>
> https://api.vsochina.com/user/info/get-user-info-by-oauth

参数:

- **appid	String	
必须，通用**
- **token	String	
必须，通用**
- **via	String	
必须，三方通道 *（qq；weibo；weixin；facebook）***
- **openid	String	
必须，身份验证**

- lang	String	
可选，语言，默认zh-CN
zh-CN => 简体中文
zh-TW => 繁体中文
en => 英文

返回格式：

    HTTP/1.1 200 OK
    {
      "ret": 0,
      "message": "成功",
      "data": {
      "uid": "11259",
      "username": "86190667",
      "nickname": "yulei",
      "email": null,
      "mobile": null,
      "user_type": "1",
      "avatar": "http://static.vsochina.com/data/avatar/000/00/75/89_avatar_middle.jpg",
      "isnewpwd": 2,  // 是否需要重置密码（1=>不需要，2=>需要），用于三方
      }
    }

实测： data多一个status 以实际为准 TODO

    {
      "ret": 0,
      "status": 1,
      "message": "成功",
      "data": {
    "uid": "11543",
    "username": "86130962",
    "nickname": "86130962",
    "email": "",
    "mobile": "",
    "user_type": "1",
    "status": "1", //用户激活状态 1激活 2禁用
    "isnewpwd": "2", //是否需要重置密码 1不需要 2需要
    "avatar": "http://static.vsochina.com/data/avatar/000/00/82/96_avatar_middle.jpg"
      }
    }

返回码表： 0 成功

    错误码 => 错误信息：
    "14121" => "缺少三方通道"
    "14122" => "缺少身份验证"
    "14124" => "三方身份验证不存在"
    "14125" => "未找到三方身份验证对应的平台账号"
    "0" => "成功"

## 用户登录（通用），新版 ##
> 新版</br>
> POST</br>
> https://api.vsochina.com/user/login/index

参数：

- **appid	String	
必须，全局通用appid**
- **token	String	
必须，全局通用token**
- **name	String	
必须，账号（用户名/手机号/邮箱）**
- **password	String	
必须，密码**

- prom_profit	Boolean	
可选，推广上线分钱（默认false）
- ip	String	
用户ip地址
- lang	String	
可选，语言，默认zh-CN
zh-CN => 简体中文
zh-TW => 繁体中文
en => 英文

参数格式:

    [
      "appid" => "XXX",
      "token" => "XXX",
      "name" => "admin",
      "password" => '1234567890'
    ]

返回说明:

    HTTP/1.1 200 OK
    {
    "ret": 13000,
    "message": "登录成功",
    "data": {
      "username": "admin",// 用户名
      "uid": "1", // 用户编号，uc数据库
      "reg_time": "1332580569",   // 注册时间，时间戳
      "indus_pid": null,  // 用户所属行业
      "residency": "",// 所在地
      "address": "江苏苏州苏州乐园",  // 详细地址
      "focus_num": "6",   // 粉丝数量，被关注次数
      "birthday": "464025600",
      "sex": "女",
      "isvip": null,
      "views": "650", // 用户被查看次数
      "summary": "",  // 用户简介
      "mobile": "15050431508",// 手机号
      "avatar": "http://static.vsochina.com/data/avatar/000/00/00/01_avatar_middle.jpg",  // 头像
      "vso_token": "2c79bf616ec12cc247a48482b022fe31" // redis中存储用户信息的key
    }
    }

**实测手机注册的账户**：
    
    {
      "ret": 13000,
      "message": "登录成功",
      "data": {
    "username": "86757926",
    "id": "10094",
    "nickname": "86757926",
    "email": null,
    "mobile": "13404298601",
    "status": "1",//用户激活状态 1激活 2禁用
    "password": "1c65ea3c709ec6fc74178f2c47005135",
    "logined": "1",
    "isnewpwd": "1",  //是否需要重置密码 1不需要 2需要
    "avatar": "http://static.vsochina.com/data/avatar/000/01/00/94_avatar_middle.jpg",
    "uid": "10094",
    "vso_token": "04d96ce17686aab09f0fb7c9b69ddadd"
      }
    }


返回码表： 13000 成功

    错误码 => 错误列表：
    "9013" => "用户名不存在",
    "13000" => "登录成功",
    "13001" => "缺少密码",
    "13002" => "用户未激活",
    "13003" => "账号不存在",
    "13004" => "密码不正确",
    "13005" => "缺少账号"

## 用户登出 ##
> POST</br>
> https://api.vsochina.com/user/login/logout

参数:

- **appid	String	
必须，全局通用appid**
- **token	String	
必须，全局通用token**
- **vso_uid	String	
必须，用户编号（UC）** *登录时的uid*
- **vso_sess	String	
必须，session，存在cookie中** *计算方法见说明*
- **vso_token	String	
必须，用户登录后的token**

- lang	String	
可选，语言，默认zh-CN
zh-CN => 简体中文
zh-TW => 繁体中文
en => 英文

参数格式:

    [
      "appid" => "XXX",
      "token" => "XXX",
      "vso_uid" => "1747",
      "vso_sess" => "0a1358648cf8aaf971919cb7abe4fa58",
      "vso_token" => "a1168285eb062b2453de845b52fec460"
    ]

返回示例和返回说明:

    HTTP/1.1 200 OK
    {
      "ret": 14140,
      "message": "登出成功",
      "data": null
    }

返回码表：

    错误码 => 错误信息：
    "14140" => "登出成功",
    "14141" => "缺少用户编号",
    "14142" => "缺少vso_sess",
    "14143" => "缺少vso_token"

